summaryrefslogtreecommitdiffstats
path: root/multimedia/xvst/xvst.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/xvst/xvst.SlackBuild')
-rw-r--r--multimedia/xvst/xvst.SlackBuild92
1 files changed, 92 insertions, 0 deletions
diff --git a/multimedia/xvst/xvst.SlackBuild b/multimedia/xvst/xvst.SlackBuild
new file mode 100644
index 0000000000..f7755c6c64
--- /dev/null
+++ b/multimedia/xvst/xvst.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for xvst
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=xvst
+VERSION=${VERSION:-2.3.3}
+SRCVER=$(echo $VERSION | tr '.' '_')
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/xVST_${SRCVER}_src.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Change file from DOS to Unix, change path for plugins and language files
+# and make translations.
+sed -i 's/\r//g' "how to compile.txt"
+sed -i "s|getApplicationPath()\ +\ \"|\"/usr/share/${PRGNAM}|g" src/options.cpp
+lrelease resources/translations/*.ts
+rm -f resources/translations/template_for_new_translations.qm
+
+qmake -set build_mode dynamic_build
+qmake -unix PREFIX=/usr -o Makefile xVideoServiceThief.pro
+make \
+ CFLAGS="-pipe $SLKCFLAGS -Wall -W -D_REENTRANT \$(DEFINES)" \
+ CXXFLAGS="-pipe $SLKCFLAGS -Wall -W -D_REENTRANT \$(DEFINES)"
+
+# Install program and corresponding files.
+install -D -m 0755 bin/$PRGNAM $PKG/usr/bin/$PRGNAM
+mkdir -p $PKG/usr/share/$PRGNAM/{plugins,languages}
+find resources/services -name "*.js" \
+ -exec cp -dpR {} $PKG/usr/share/$PRGNAM/plugins \;
+install -m 0644 resources/translations/*.qm \
+ $PKG/usr/share/$PRGNAM/languages
+install -m 0644 resources/translations/definitions/*.language \
+ $PKG/usr/share/$PRGNAM/languages
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+install -m 0644 resources/images/InformationLogo.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.txt resources/changelog.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}